{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Liste des conventions
{% endblock %}


{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}



{% block main %}

<h1 class="text-2xl font-semibold text-center mb-10">Liste des conventions à valider</h1>


{% if conventions | length == 0 %}
<em class="text-sm flex justify-center">Aucune conventions n'a été faite pour le moment</em>
{% else %}



<div class="flex gap-5 w-full h-12 mb-10">
    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Recherche</label>
        <input id="student_number" name="username" type="text" required placeholder="Effectuez votre recherche ici..."
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">
    </div>


    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Filtrer par promotion</label>
        <select placeholder="Effectuez votre recherche ici..."
            onchange="document.location.href = `/student/search_by_promo/${this.value}`"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">

            <option>Toutes</option>
            {% for promo in get_all_promo() %}
            <option value="{{ promo.id }}">{{ promo.name }} Géré par {{ get_promo_manager_by_id(promo.id) }}
            </option>
            {% endfor %}

        </select>
    </div>


    <div class="flex flex-col ml-auto">
        <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
        <div class="flex whitespace-nowrap gap-2">
            <button
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Tout</button>
            <button
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Stage</button>
            <button
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Apprentissage</button>
        </div>
    </div>
</div>



<table class="w-full rounded-lg overflow-hidden border border-collapse">
    <tbody>
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Etudiant</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Promotion</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Fait le</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Status</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Action</th>
        </tr>


        {% for convention in conventions %}
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <td class="px-2.5 py-2 overflow-hidden">{{ convention.user.first_name }} {{ convention.user.last_name }}
            </td>
            <td class="px-2.5 py-2 overflow-hidden">{{ get_promo_name_by_user_id(convention.user.id) }}</td>
            <td class="px-2.5 py-2 overflow-hidden">{{ convention.created_at }}</td>
            <td class="px-2.5 py-2 overflow-hidden ">{% if convention.status == 0 %}En cours{% elif convention.status == 1 %}Acceptée{% elif convention.status == 2 %}Réfusée{% endif %}</td>

            <td class="px-2.5 py-2 overflow-hidden">
                <a href="{{ url_for('convention', id=convention.id) }}"
                    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit {% if convention.status == 0 %} text-yallow-500 {% elif convention.status == 1 %} text-green-500 {% else %} text-red-500 {% endif %} ">
                    Voir plus de détails
                </a>
            </td>
        </tr>
        {% endfor %}


    </tbody>
</table>

{% endif %}

{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}